# $Revision: 1.4 $, $Date: 2011/05/25 10:26:09 $
%define		template	mysql
Summary:	MySQL cacti templates
Name:		cacti-template-%{template}
Version:	1.1.8
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://mysql-cacti-templates.googlecode.com/files/better-cacti-templates-%{version}.tar.gz
# Source0-md5:	c34e66af5091bc02b081a446dbe87f53
Source1:	config.php
Patch0:		config.patch
Patch1:		paths.patch
URL:		http://code.google.com/p/mysql-cacti-templates/
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7g-6
Conflicts:	cacti-spine < 0.8.7e-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/webapps/cacti
%define		cactidir		/usr/share/cacti
%define		resourcedir		%{cactidir}/resource
%define		scriptsdir		%{cactidir}/scripts
%define		cachedir		/var/cache/cacti/mysql_stats

%description
This is a set of templates for monitoring MySQL servers with Cacti.

%prep
%setup -qn better-cacti-templates-%{version}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{resourcedir},%{scriptsdir},%{cachedir}}

# we deliberately are not packaging other templates this project offers:
# - it's idiotic to graph network services over ssh
# - they should get their own package to avoid some confusion when searching for
#   templates in package repository
install -p scripts/ss_get_mysql_stats.php $RPM_BUILD_ROOT%{scriptsdir}
cp -a templates/cacti_host_template_x_mysql_server*.xml \
	$RPM_BUILD_ROOT%{resourcedir}/cacti_host_template_x_mysql_server.xml
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ss_get_mysql_stats.php

%post
%cacti_import_template %{resourcedir}/cacti_host_template_x_mysql_server.xml

%preun
if [ "$1" = 0 ]; then
	echo %{cachedir}/* | xargs rm -f
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README Changelog
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ss_get_mysql_stats.php
%attr(755,root,root) %{scriptsdir}/ss_get_mysql_stats.php
%{resourcedir}/*.xml
%attr(770,root,http) %dir %{cachedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-template-mysql.spec,v $
Revision 1.4  2011/05/25 10:26:09  marti
- up to 1.1.8

Revision 1.3  2011/02/16 11:19:05  glen
- use own cachedir; rel 3

Revision 1.2  2010/12/13 23:28:43  glen
- use /var/cache/cacti for caching instead of /tmp

Revision 1.1  2010/05/06 22:24:51  glen
- new
